<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="getInfo()" [disabled]="ngForm.invalid">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1"  [disabled]="dataGrid.length == 0">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100"
          (valueChange)="fechaChange(1);" [max]="maxDateDesde">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100"
          (valueChange)="fechaChange(2);" [min]="minDateHasta">
          </kendo-datepicker>
        </div>

      </div>

      <div class="divider"></div>

    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading"
              [selectable]="true"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
              <div *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="Descripcion" title="Descripción" width="150"></kendo-grid-column>
                <kendo-grid-column field="Cantidad" title="Cantidad" width="120" class="text-right"></kendo-grid-column>
                <kendo-grid-column field="Minutos" title="Minutos" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Costo" title="Costo" width="120" class="text-right">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="ServicioMedido" title="Servicio Medido" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Cargo" title="Cargo" width="120" class="text-right">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Cargo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading"
              [selectable]="true"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
              <div *ngIf="dataGlobal.length !== 0">
                <kendo-grid-column field="Descripcion" title="Descripción" width="150"></kendo-grid-column>
                <kendo-grid-column field="Cantidad" title="Cantidad" width="120" class="text-right"></kendo-grid-column>
                <kendo-grid-column field="Minutos" title="Minutos" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Costo" title="Costo" width="120" class="text-right">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="ServicioMedido" title="Servicio Medido" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Cargo" title="Cargo" width="120" class="text-right">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>

  </div>
    <app-loading *ngIf="loading"></app-loading>
</div>


